using Hotline.Share.Enums.Snapshot;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;
[Description("行业短信模板")]
public class SnapshotSMSTemplate : FullStateEntity
{
    /// <summary>
    /// 行业Id
    /// </summary>
    [SugarColumn(ColumnDescription = "行业Id")]
    public string IndustryId { get; set; }

    /// <summary>
    /// 模板内容
    /// </summary>
    [SugarColumn(ColumnDescription = "模板内容")]
    public string Content { get; set; }

    /// <summary>
    /// 审核状态
    /// </summary>
    [SugarColumn(ColumnDescription = "审核状态")]
    public ESnapshotSMSStatus Status { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    [SugarColumn(ColumnDescription = "是否启用")]
    public bool IsEnable { get; set; }

    /// <summary>
    /// 是否公用
    /// </summary>
    [SugarColumn(ColumnDescription = "是否公用")]
    public bool IsPublic { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    [SugarColumn(ColumnDescription = "排序")]
    public int DisplayOrder { get; set; }
}
